package basicTurtlePackage;


import java.awt.Color;

import basicTurtlePackage.World;

public class MyTurtleExample {

	/**  
	 * Method:	main
	 * Purpose: Lets the Operating System and Java know where 
	 * 			to start the program.  
	 * @param	args	
	 * @return 	none 
	 */  
	public static void main(String[] args) {
		// So far we have defined how the our program should 
		// look like, but now we need to create an object of 
		// our program and lets store it in a variable called 
		// world, similarly to our Alice world.
		World myWorld = new World("myFirstWorld");

		Turtle myTurtle = new Turtle(myWorld);
		// draw a T
		myTurtle.moveTo(100, 200);
		myTurtle.forward(100);
		myTurtle.penUp();
		myTurtle.turnLeft();
		myTurtle.forward(25);
		myTurtle.turn(180);
		myTurtle.penDown();
		myTurtle.forward(50);

		Turtle rose = new Turtle(myWorld);
		// draw a square
		rose.setColor(Color.pink);
		rose.forward(100);
		rose.turnRight();
		rose.forward(100);
		rose.turnRight();
		rose.forward(100);
		rose.turnRight();
		rose.forward(100);
		
		myWorld.repaint();

	}

}
